import request from '@/utils/request'

// 查询油品价格列表
export function listPrice(query) {
  return request({
    url: '/station/price/list',
    method: 'get',
    params: query
  })
}

// 查询油品价格详细
export function getPrice(oilPriceId) {
  return request({
    url: '/station/price/' + oilPriceId,
    method: 'get'
  })
}

// 新增油品价格
export function addPrice(data) {
  return request({
    url: '/station/price',
    method: 'post',
    data: data
  })
}

// 修改油品价格
export function updatePrice(data) {
  return request({
    url: '/station/price',
    method: 'put',
    data: data
  })
}

// 删除油品价格
export function delPrice(oilPriceId) {
  return request({
    url: '/station/price/' + oilPriceId,
    method: 'delete'
  })
}

// 导出油品价格
export function exportPrice(query) {
  return request({
    url: '/station/price/export',
    method: 'get',
    params: query
  })
}